return {
    {
        "folke/noice.nvim",
        event = "VeryLazy",
        dependencies = {
            "rcarriga/nvim-notify", -- fancy notifications
            "MunifTanjim/nui.nvim", -- gui component library
        },
        opts = function(_,_)
            local options = require("options")
            return {
                cmdline = {
                    enabled = true,
                    format = {
                        cmdline = {
                            pattern = "^:",
                            icon = " ",
                            lang = "vim"
                        },
                    },
                    opts = {
                        win_options = {
                            winhighlight = {
                                FloatBorder = "LspInfoBorder"
                            }
                        },
                        position = {
                            row = 5,
                            col = "50%",
                        },
                    }
                }
            }
        end
    }
}
